﻿using System.Collections;
using System.Collections.ObjectModel;
using System.Windows.Controls;
using System.Windows.Data;
using FlatData.SampleApp.Data;

namespace CompoundMeasuresSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            this.CreateFlatData();
            this.DataContext = this;

            InitializeComponent();
        }

        public IEnumerable FlatData
        {
            get;
            set;
        }

        private CollectionViewSource _viewSource;
        private void CreateFlatData()
        {
            this._viewSource = new CollectionViewSource();
            this._viewSource.Source = new ObservableCollection<ProductData>(ProductData.GenerateData());
            this.FlatData = this._viewSource.View;
        }        
    }
}
